Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyStore.SecretKeyEntry

    java.lang.Object
      java.security.KeyStore.SecretKeyEntry

All Implemented Interfaces:
  KeyStore.Entry

Enclosing class:
  KeyStore

    public static final class KeyStore.SecretKeyEntry

extends Object
implements KeyStore.Entry

A `KeyStore` entry that holds a `SecretKey`.

Since:
  1.5

Constructor Summary
`KeyStore.SecretKeyEntry(SecretKey secretKey)` Constructs a `SecretKeyEntry` with a `SecretKey`.

Method Summary
`SecretKey` | `getSecretKey()` Gets the `SecretKey` from this entry.
`String` | `toString()` Returns a string representation of this SecretKeyEntry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyStore.SecretKeyEntry

    public KeyStore.SecretKeyEntry(SecretKey secretKey)

  Constructs a `SecretKeyEntry` with a `SecretKey`.

  Parameters:
    `secretKey` - the `SecretKey`
  Throws:
    `NullPointerException` - if `secretKey` is `null`

Method Detail

### getSecretKey

    public SecretKey getSecretKey()

  Gets the `SecretKey` from this entry.

  Returns:
    the `SecretKey` from this entry

### toString

    public String toString()

  Returns a string representation of this SecretKeyEntry.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this SecretKeyEntry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.